import { Identifier, PropertyAccessExpression, TypeReferenceNode } from 'typescript';
import { DescriptorProto, FileDescriptorProto } from './compiler/descriptor.js';
export declare function resetDependencyMap(): void;
export declare function setIdentifierForDependency(dependency: string, identifier: Identifier): void;
export declare function getMapDescriptor(typeName: string): DescriptorProto | undefined;
export declare function getTypeReferenceExpr(rootDescriptor: FileDescriptorProto, typeName: string): Identifier | PropertyAccessExpression;
export declare function getTypeReference(rootDescriptor: FileDescriptorProto, typeName: string): TypeReferenceNode;
export declare function preprocess(target: FileDescriptorProto | DescriptorProto, path: string, prefix: string): void;
